Synchronization not happening when authoritativeMN is not set correctly.
Status: New Start date: 2017-07-19

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Story Points:    

Description

This leads to an uncorrectable situation because system metadata updates can only happen from the authoritativeMN.  We need to

add validation upon first synchronization such that the authoritativeMN is a registeredMN, even if it is not really present (state=down).

Subtasks:

Task # 8150: Enable CN certificate to alter authoritativeMN property in SystemMetadata New

Task # 8151: CNs should verify that the authoritativeMN listed in SystemMetadata is a v... New

History

#1 - 2016-09-14 20:48 - Rob Nahf

- Subject changed from Synchronization happening when authoritativeMN is not set correctly. to Synchronization not happening when authoritativeMN

is not set correctly.

#2 - 2016-09-14 20:48 - Rob Nahf

- Assignee changed from Robert Waltz to Rob Nahf

#3 - 2016-09-27 17:25 - Laura Moyers

On initial harvest of an object, there should be validation of the authoritativeMemberNode and originMemberNode, as in:

validate that the aMN and oMN are properly formed (check for urn pattern), and

validate that the aMN and oMN are registered MNs (status up/down doesn't matter)

Question:  Are there any other validations that need to occur for aMN and oMN?

Comment:  Back in the day, there was a reason for not validating aMN/oMN.  If anyone can recall what that reason was, and determine if adding this

sort of validation will cause a conflict, that'd be helpful. 

#4 - 2017-07-19 21:21 - Dave Vieglais

- Target version set to CCI-2.4.0

#5 - 2018-01-17 19:01 - Dave Vieglais

- Sprint set to Infrastructure backlog
